# studio::Widget_Curves Class Reference

`#include <widget_curves.h>`

List of all members.

## Public Member Functions

| Widget_Curves ()
| ~Widget_Curves ()
void | set_value_descs (std::list< synfigapp::ValueDesc > value_descs)
void | clear ()
void | refresh ()
Gtk::Adjustment & | get_range_adjustment ()
Gtk::Adjustment & | get_time_adjustment ()
void | set_time_adjustment (Gtk::Adjustment &)

## Constructor & Destructor Documentation

Widget_Curves::Widget_Curves | ( |  | ) |

Widget_Curves::~Widget_Curves | ( |  | ) |

## Member Function Documentation

void Widget_Curves::set_value_descs | ( | std::list< synfigapp::ValueDesc > | value_descs | ) |

References refresh().

Referenced by _curve_selection_changed().

void Widget_Curves::clear | ( |  | ) |

Referenced by _curve_selection_changed().

void Widget_Curves::refresh | ( |  | ) |

Referenced by _curve_selection_changed(), and set_value_descs().

Gtk::Adjustment& studio::Widget_Curves::get_range_adjustment | ( |  | ) | `[inline]`

Referenced by studio::Dock_Curves::changed_canvas_view_vfunc().

Gtk::Adjustment& studio::Widget_Curves::get_time_adjustment | ( |  | ) | `[inline]`

void Widget_Curves::set_time_adjustment | ( | Gtk::Adjustment & | x | ) |

Referenced by studio::Dock_Curves::init_canvas_view_vfunc().

The documentation for this class was generated from the following files:

- widget_curves.h
- widget_curves.cpp